OpenVDB 7.0.0

Classes | Namespaces | Functions
Filter.h File Reference

Filtering of VDB volumes. Note that only the values in the grid are changed, not its topology! All operations can optionally be masked with another grid that acts as an alpha-mask. More...

`#include <tbb/parallel_for.h>`
`#include <openvdb/Types.h>`
`#include <openvdb/math/Math.h>`
`#include <openvdb/math/Stencils.h>`
`#include <openvdb/math/Transform.h>`
`#include <openvdb/tree/LeafManager.h>`
`#include <openvdb/util/NullInterrupter.h>`
`#include <openvdb/Grid.h>`
`#include "Interpolation.h"`
`#include <algorithm>`
`#include <functional>`
`#include <type_traits>`

Go to the source code of this file.

## Classes
class | Filter< GridT, MaskT, InterruptT >
| Volume filtering (e.g., diffusion) with optional alpha masking. More...

## Namespaces
| openvdb
| openvdb::v7_0
| openvdb::v7_0::tools
| openvdb::v7_0::tools::filter_internal

## Functions
template<typename T >
static void | accum (T &sum, T addend)
void | accum (bool &sum, bool addend)

## Detailed Description

Filtering of VDB volumes. Note that only the values in the grid are changed, not its topology! All operations can optionally be masked with another grid that acts as an alpha-mask.

Author
  Ken Museth